import type {
  QuizQuestionBase,
  QuestionHint,
  QuestionBranchingRule,
} from "./shared";

export interface QuizQuestionPage extends QuizQuestionBase {
  type: "page";
  content: {
    id: string;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    text: string;
    picture: string;
    originalPicture: string;
    video: string;
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string;
    originalBack: string;
    autofill: boolean;
  };
}
